declare interface TableListParams<T> {
  page: number;
  size: number;
  query?: T;
}

declare type TableListResult<T> = Promise<{
  errorNo: number;
  errorDesc: string;
  result: {
    list: T[];
    page: number;
    size: number;
    total: number;
  };
}>;

declare module "vue-dndrop" {
  export const Container: any;
  export const Draggable: any;
  export const vueDndrop: any;
}
